commit:     782fcc991b513ec8d4139b7368329b911ec121ec
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 28 07:05:35 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Apr 28 08:16:12 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=782fcc99

dev-python/arrow: Bump to 1.1.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/arrow/Manifest           |  1 +
 dev-python/arrow/arrow-1.1.0.ebuild | 35 +++++++++++++++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/dev-python/arrow/Manifest b/dev-python/arrow/Manifest
index 3828f036672..79385bceff7 100644
--- a/dev-python/arrow/Manifest
+++ b/dev-python/arrow/Manifest
@@ -1 +1,2 @@
 DIST arrow-1.0.3.tar.gz 102536 BLAKE2B 
020b9b12a529f31c8054cfe98b99ee791cd1f2889422e4bb1b0bb6873ff4c1748951b63d20d2526af2bea3ff13b26d809b35eed36984d1063c35c334d76ee416
 SHA512 
f8da6574758ca1f319ed9d71e4fc6e44d3c3db0a6fe36c8868c3515ab789093660e3d57d6de60813cf2eb57c7a3a8bfe92facbb410a383528cb1fbc37d860b49
+DIST arrow-1.1.0.tar.gz 109692 BLAKE2B 
da6cf4feb0048db4f808fc8d8863d59b1501c9e5ea8b171aacd36945e7dee874fb088c1bdcf57858e9126b42b312ec24511ee69e8846cb28c5d97b0cb5ece237
 SHA512 
9ec39458069d9538bd0f05fcbb03f92c6cf613c4bb686037a92ffcf7fa2f6306fa84ca6bcc2b7ffdb84c2fcf4cbe281ad7cb6698d1886da29d9121805140be49

diff --git a/dev-python/arrow/arrow-1.1.0.ebuild 
b/dev-python/arrow/arrow-1.1.0.ebuild
new file mode 100644
index 00000000000..81e5cb7ef66
--- /dev/null
+++ b/dev-python/arrow/arrow-1.1.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Better dates and times for Python"
+HOMEPAGE="https://github.com/arrow-py/arrow/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+       >=dev-python/python-dateutil-2.7.0[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               dev-python/typing-extensions[${PYTHON_USEDEP}]
+       ' python3_7)"
+
+BDEPEND="
+       test? (
+               dev-python/pytest-mock[${PYTHON_USEDEP}]
+               dev-python/pytz[${PYTHON_USEDEP}]
+               dev-python/simplejson[${PYTHON_USEDEP}]
+       )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       sed -i -e '/addopts/d' tox.ini || die
+       distutils-r1_src_prepare
+}

Reply via email to